<?php

namespace Lc\CaracoleBundle\Controller\Order;

use Lc\CaracoleBundle\Container\Order\OrderStatusContainer;
use Lc\CaracoleBundle\Controller\AbstractAdminController;
use Lc\CaracoleBundle\Controller\AdminControllerTrait;
use Lc\SovBundle\Repository\RepositoryQueryInterface;

abstract class OrderStatusAdminController extends AbstractAdminController
{
    use AdminControllerTrait;

    public function getRepositoryQuery() :RepositoryQueryInterface
    {
        return $this->get(OrderStatusContainer::class)->getRepositoryQuery();
    }

    public function createEntity(string $entityFqcn)
    {
        return $this->getOrderStatusContainer()->getFactory()->create();
    }
}
