<?php

namespace Lc\CaracoleBundle\Controller\Reduction;

use Lc\CaracoleBundle\Controller\AbstractAdminController;
use Lc\SovBundle\Repository\RepositoryQueryInterface;

abstract class ReductionCatalogAdminController extends AbstractAdminController
{
    public function getRepositoryQuery(): RepositoryQueryInterface
    {
        return $this->getReductionCatalogContainer()->getRepositoryQuery();
    }

    public function createEntity(string $entityFqcn)
    {
        return $this->getReductionCatalogContainer()->getFactory()->create($this->getMerchantCurrent());
    }
}
