<?php

namespace Lc\CaracoleBundle\Controller\Reminder;

use Lc\CaracoleBundle\Controller\AdminControllerTrait;
use Lc\CaracoleBundle\Resolver\MerchantResolver;
use Lc\CaracoleBundle\Resolver\SectionResolver;
use Lc\SovBundle\Controller\Reminder\ReminderAdminController as SovReminderAdminController;

class ReminderAdminController extends SovReminderAdminController
{
    use AdminControllerTrait;

    public function createEntity(string $crudAction = null, string $crudControllerFqcn = null, int $entityId = null)
    {
        return $this->getReminderContainer()
                ->getFactory()
                ->setMerchant($this->get(MerchantResolver::class)->getCurrent())
                ->setSection($this->get(SectionResolver::class)->getCurrent())
                ->create($crudAction, $crudControllerFqcn, $entityId);
    }
}
