<?php

namespace Lc\CaracoleBundle\Controller\Site;

use Lc\CaracoleBundle\Controller\AdminControllerTrait;
use Lc\SovBundle\Controller\Site\PageAdminController as SovPageAdminController;

abstract class PageAdminController extends SovPageAdminController
{
    use AdminControllerTrait;

    public function createEntity(string $entityFqcn)
    {
        return $this->getPageContainer()
                ->getFactory()
                ->setMerchant($this->getMerchantCurrent())
                ->setSection($this->getSectionCurrent())
                ->create();
    }
}
