<?php

namespace Lc\CaracoleBundle\Definition\Field\Site;

use Lc\CaracoleBundle\Definition\Field\FieldDefinitionTrait;
use Lc\CaracoleBundle\Repository\Section\SectionStore;
use Lc\SovBundle\Definition\Field\Site\PageFieldDefinition as SovPageFieldDefinition;
use Lc\SovBundle\Translation\TranslatorAdmin;

class PageFieldDefinition extends SovPageFieldDefinition
{
    use FieldDefinitionTrait;

    protected SectionStore $sectionStore;

    public function __construct(TranslatorAdmin $translatorAdmin, SectionStore $sectionStore)
    {
        parent::__construct($translatorAdmin);
        $this->sectionStore = $sectionStore;
    }

    public function configureIndex(): array
    {
        return [
            'id',
            'title',
            'status'
        ];
    }
}
