<?php

namespace Lc\CaracoleBundle\Factory\Distribution;

use App\Entity\Distribution\Distribution;
use Lc\CaracoleBundle\Model\Section\SectionInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class DistributionFactory extends AbstractFactory
{

    public function create(int $cycleNumber, int $year, string $cycleType):Distribution
    {
        $distribution = new Distribution();

        $distribution->setCycleNumber($cycleNumber);
        $distribution->setCycleType($cycleType);
        $distribution->setYear($year);

        return $distribution;
    }

}
