<?php

namespace Lc\CaracoleBundle\Factory\PointSale;

use App\Entity\PointSale\PointSale;
use Lc\CaracoleBundle\Context\MerchantContextTrait;
use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;
use Lc\CaracoleBundle\Model\PointSale\PointSaleInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class PointSaleFactory extends AbstractFactory
{

    public function create(MerchantInterface $merchant): PointSaleInterface
    {
        $pointSale = new PointSale();

        $pointSale->addMerchant($merchant);
        $pointSale->setStatus(1);

        return $pointSale;
    }

}
