<?php

namespace Lc\CaracoleBundle\Factory\Site;

use Lc\CaracoleBundle\Context\MerchantContextTrait;
use Lc\CaracoleBundle\Context\SectionContextTrait;
use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;
use Lc\SovBundle\Factory\Site\NewsFactory as SovNewsFactory;
use Lc\SovBundle\Model\Site\NewsInterface;

class NewsFactory extends SovNewsFactory
{
    use SectionContextTrait;

    public function create(): NewsInterface
    {
        $news = parent::create();

        if($this->section) {
            $news->setSection($this->section);
        }

        return $news;
    }
}
