<?php

namespace Lc\CaracoleBundle\Factory\User;

use Lc\CaracoleBundle\Context\MerchantContextTrait;
use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;
use Lc\SovBundle\Model\User\GroupUserInterface;
use Lc\SovBundle\Factory\User\GroupUserFactory as SovGroupUserFactory;

class GroupUserFactory extends SovGroupUserFactory
{
    use MerchantContextTrait;

    public function create(): GroupUserInterface
    {
        $groupUser = parent::create();

        $groupUser->setMerchant($this->merchant);

        return $groupUser;
    }

}
