<?php

namespace Lc\CaracoleBundle\Factory\User;

use Lc\CaracoleBundle\Model\PointSale\PointSaleInterface;
use Lc\CaracoleBundle\Model\User\UserPointSaleInterface;
use Lc\SovBundle\Factory\AbstractFactory;
use Lc\SovBundle\Model\User\UserInterface;

class UserPointSaleFactory extends AbstractFactory
{
    public function create(UserInterface $user, PointSaleInterface $pointSale): UserPointSaleInterface
    {
        $userPointSale = parent::create();

        $userPointSale->setUser($user);
        $userPointSale->setPointSale($pointSale);

        return $userPointSale;
    }
}
