<?php

namespace Lc\CaracoleBundle\Form\Reduction;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\NumberType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\Form\FormEvent;
use Symfony\Component\Form\FormEvents;

class ValueType extends AbstractType
{
        public function buildForm(FormBuilderInterface $builder, array $options)
        {
                $builder->addEventListener(FormEvents::PRE_SET_DATA, function (FormEvent $event) {
                        $builder = $event->getForm()->getParent();

                        $builder->add('value', NumberType::class, [
                                'required' => false
                        ]);
                });
        }

}
