<?php

namespace Lc\CaracoleBundle\Form\Setting;

use Lc\CaracoleBundle\Model\Setting\SectionSettingInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class SectionSettingType extends BaseSettingType
{

    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(
                [
                        'label' => false,
                        'data_class' => $this->em->getEntityName(SectionSettingInterface::class),
                ]
        );
    }
}

