<?php
/**
 * @author La clic ! <contact@laclic.fr>
 */

namespace Lc\CaracoleBundle\Model\Config;


use Lc\SovBundle\Doctrine\Extension\BlameableTrait;
use Lc\SovBundle\Doctrine\Extension\DevAliasTrait;
use Lc\SovBundle\Doctrine\Extension\TimestampableTrait;
use Lc\SovBundle\Model\User\UserInterface;

interface UnitInterface
{
    public function getCreatedBy(): ?UserInterface;

    public function setCreatedBy(?UserInterface $createdBy);

    public function getUpdatedBy(): ?UserInterface;

    public function setUpdatedBy(?UserInterface $updatedBy);

    public function getDevAlias(): ?string;

    public function setDevAlias(?string $devAlias);

    public function getCreatedAt(): ?\DateTimeInterface;

    public function setCreatedAt(\DateTimeInterface $createdAt);

    public function getUpdatedAt(): ?\DateTimeInterface;

    public function setUpdatedAt(\DateTimeInterface $updatedAt);

    public function getUnitAmountChoices(): array;

    public function __toString();

    public function getUnit(): ?string;

    public function setUnit(string $unit): UnitModel;

    public function getWording(): ?string;

    public function setWording(string $wording): UnitModel;

    public function getWordingUnit(): ?string;

    public function setWordingUnit(string $wordingUnit): UnitModel;

    public function getWordingShort(): ?string;

    public function setWordingShort(string $wordingShort): UnitModel;

    public function getCoefficient(): ?int;

    public function setCoefficient(int $coefficient): UnitModel;

    public function getUnitReference(): ?self;

    public function setUnitReference(?UnitModel $unitReference);
}