<?php

namespace Lc\CaracoleBundle\Model\Product;


use Lc\CaracoleBundle\Model\Order\OrderShopInterface;

interface ProductInterface
{

    public function getProductFamily(): ?ProductFamilyInterface;

    public function setProductFamily(?ProductFamilyInterface $productFamily
    ): \Lc\CaracoleBundle\Model\Product\ProductModel;

    public function getTitle(): ?string;

    public function setTitle(?string $title): \Lc\CaracoleBundle\Model\Product\ProductModel;

    public function getOriginProduct(): ?bool;

    public function setOriginProduct(?bool $originProduct): \Lc\CaracoleBundle\Model\Product\ProductModel;

    public function getExportTitle(): ?string;

    public function setExportTitle(?string $exportTitle): \Lc\CaracoleBundle\Model\Product\ProductModel;

    public function getExportNote(): ?string;

    public function setExportNote(?string $exportNote): \Lc\CaracoleBundle\Model\Product\ProductModel;
}