<?php

namespace Lc\CaracoleBundle\Repository\Address;

use Knp\Component\Pager\PaginatorInterface;
use Lc\CaracoleBundle\Repository\MerchantRepositoryQueryTrait;
use Lc\SovBundle\Model\User\UserInterface;
use Lc\SovBundle\Repository\AbstractRepositoryQuery;

class AddressRepositoryQuery extends AbstractRepositoryQuery
{
    use MerchantRepositoryQueryTrait;

    public function __construct(AddressRepository $repository, PaginatorInterface $paginator)
    {
        parent::__construct($repository, 'address', $paginator);
    }

    public function filterByUser(UserInterface $user)
    {
        return $this->andWhereEqual('user', $user);
    }
}
