<?php

namespace Lc\CaracoleBundle\Repository\Order;

use Knp\Component\Pager\PaginatorInterface;
use Lc\SovBundle\Repository\AbstractRepositoryQuery;

class OrderStatusRepositoryQuery extends AbstractRepositoryQuery
{
    public function __construct(OrderStatusRepository $repository, PaginatorInterface $paginator)
    {
        parent::__construct($repository, 'orderStatus', $paginator);
    }

    public function filterByAlias(string $alias)
    {
        return $this->andWhereEqual('alias', $alias);
    }
}
