<?php

namespace Lc\CaracoleBundle\Repository\Product;

use Knp\Component\Pager\PaginatorInterface;
use Lc\SovBundle\Repository\AbstractRepositoryQuery;

class QualityLabelRepositoryQuery extends AbstractRepositoryQuery
{
    public function __construct(QualityLabelRepository $repository, PaginatorInterface $paginator)
    {
        parent::__construct($repository, 'qualityLabel', $paginator);
    }

    public function orderByDefault(): AbstractRepositoryQuery
    {
        return $this->orderBy('position', 'ASC');
    }
}
