<?php

namespace Lc\CaracoleBundle\Repository\Site;

use Lc\CaracoleBundle\Repository\MerchantStoreTrait;
use Lc\CaracoleBundle\Repository\SectionStoreTrait;
use Lc\CaracoleBundle\Repository\StoreTrait;
use Lc\SovBundle\Repository\RepositoryQueryInterface;
use Lc\SovBundle\Repository\Site\PageStore as SovPageStore;

class PageStore extends SovPageStore
{
    use StoreTrait;
    use MerchantStoreTrait;
    use SectionStoreTrait;

    public function __construct(PageRepositoryQuery $query)
    {
        parent::__construct($query);
    }

    public function filtersDefault(RepositoryQueryInterface $query): RepositoryQueryInterface
    {
        $this->addFilterByMerchantOptionnal($query);
        $this->addFilterBySectionOptionnal($query);

        return parent::filtersDefault($query);
    }

}
