<?php

namespace Lc\CaracoleBundle\Repository\User;

use Lc\CaracoleBundle\Repository\MerchantStoreTrait;
use Lc\CaracoleBundle\Repository\StoreTrait;
use Lc\SovBundle\Repository\RepositoryQueryInterface;
use Lc\SovBundle\Repository\User\GroupUserStore as SovGroupUserStore;

class GroupUserStore extends SovGroupUserStore
{
    use StoreTrait;
    use MerchantStoreTrait;

    public function filtersDefault(RepositoryQueryInterface $query): RepositoryQueryInterface
    {
        $this->addFilterByMerchantOptionnal($query);
        return parent::filtersDefault($query);
    }
}
