<?php

namespace Lc\CaracoleBundle\Solver\Order;

use Lc\CaracoleBundle\Model\Order\OrderStatusModel;

class OrderStatusSolver
{

    public static function getOrderStatusChoices()
    {
        return [
                OrderStatusModel::ALIAS_CART,
                OrderStatusModel::ALIAS_CART_CANCELED,
                OrderStatusModel::ALIAS_WAITING_PAYMENT_ONLINE,
                OrderStatusModel::ALIAS_WAITING_BANK_RETURN,
                OrderStatusModel::ALIAS_PARTIAL_PAYMENT,
                OrderStatusModel::ALIAS_PAID,
                OrderStatusModel::ALIAS_ERROR_PAYMENT_ONLINE,
                OrderStatusModel::ALIAS_WAITING_DELIVERY,
                OrderStatusModel::ALIAS_WAITING_DELIVERY_WITH_PAYMENT,
                OrderStatusModel::ALIAS_DELIVERED_WITHOUT_PAYMENT,
                OrderStatusModel::ALIAS_DONE,
                OrderStatusModel::ALIAS_CANCELED,
                OrderStatusModel::ALIAS_CANCELED_WAITING_REFUND,
                OrderStatusModel::ALIAS_REFUND,
        ];
    }
}
