<?php

namespace Lc\CaracoleBundle\Builder\Ticket;

use Lc\SovBundle\Model\Ticket\TicketInterface;
use Lc\SovBundle\Builder\Ticket\TicketBuilder as SovTicketBuilder;

class TicketBuilder extends SovTicketBuilder
{

    public function init(TicketInterface $ticket, array $params = []): void
    {
        parent::init($ticket, $params);

        $ticket->setSection($params['section']);
        if(isset($data['orderShop'])) {
            $ticket->setOrderShop($data['orderShop']);
        }
    }
}
