<?php

namespace Lc\CaracoleBundle\Controller\Product;

use EasyCorp\Bundle\EasyAdminBundle\Field\TextField;
use Lc\CaracoleBundle\Controller\AbstractAdminController;
use Lc\SovBundle\Field\ImageManagerField;
use Lc\SovBundle\Repository\RepositoryQueryInterface;

abstract class QualityLabelAdminController extends AbstractAdminController
{

    public function getRepositoryQuery() :RepositoryQueryInterface
    {
        return $this->getQualityLabelContainer()->getRepositoryQuery();
    }

    public function createEntity(string $entityFqcn)
    {
        return $this->getQualityLabelContainer()->getFactory()->create();
    }

    public function configureFields(string $pageName): iterable
    {
        return [
                TextField::new('title'),
                ImageManagerField::new('image'),
                TextField::new('devAlias'),
        ];
    }

}
