<?php

namespace Lc\CaracoleBundle\Controller\Reduction;

use Lc\CaracoleBundle\Container\Reduction\ReductionCreditContainer;
use Lc\CaracoleBundle\Controller\AbstractAdminController;
use Lc\SovBundle\Repository\RepositoryQueryInterface;

abstract class ReductionCreditAdminController extends AbstractAdminController
{
    public function getRepositoryQuery() :RepositoryQueryInterface
    {
        return $this->get(ReductionCreditContainer::class)->getRepositoryQuery();
    }

    public function createEntity(string $entityFqcn)
    {
        return $this->getReductionCreditContainer()->getFactory()->create($this->getMerchantCurrent());
    }
}
