<?php

namespace Lc\CaracoleBundle\Doctrine\Extension;

use Doctrine\ORM\Mapping as ORM;

trait ReductionTrait
{
    /**
     * @ORM\Column(type="float", nullable=true)
     */
    protected $value;

    /**
     * @ORM\Column(type="string", length=20, nullable=true)
     */
    protected $unit;

    /**
     * @ORM\Column(type="string", length=20, nullable=true)
     */
    protected $behaviorTaxRate;

    public function getValue(): ?float
    {
        return $this->value;
    }

    public function setValue(?float $value): self
    {
        $this->value = $value;

        return $this;
    }

    public function getUnit(): ?string
    {
        return $this->unit;
    }

    public function setUnit(?string $unit): self
    {
        $this->unit = $unit;

        return $this;
    }

    public function getBehaviorTaxRate(): ?string
    {
        return $this->behaviorTaxRate;
    }

    public function setBehaviorTaxRate(?string $behaviorTaxRate): self
    {
        $this->behaviorTaxRate = $behaviorTaxRate;

        return $this;
    }
}
