<?php

namespace Lc\CaracoleBundle\Doctrine;

use Lc\SovBundle\Doctrine\QueryBuilder as SovQueryBuilder;

/**
 * class EntityManager.
 *
 * @author La clic !!!!
 */
class QueryBuilder extends SovQueryBuilder
{

    public function andWhereMerchant($dqlId, $merchant):self
    {
        $this->andWhere($dqlId.'.merchant = :merchant');
        $this->setParameter('merchant', $merchant);
        return $this;
    }

    public function andWhereSection($dqlId, $section):self
    {
        $this->andWhere($dqlId.'.section = :section');
        $this->setParameter('section', $section);
        return $this;
    }

    public function andWhereMerchantManyToMany($dqlId, $merchant):self
    {

        $this->andWhere(':currentMerchant MEMBER OF '.$dqlId.'.merchants');
        $this->setParameter('currentMerchant', $merchant);
        return $this;
}

}
