<?php

namespace Lc\CaracoleBundle\Event\EntityManager;

use Symfony\Contracts\EventDispatcher\Event;

class EntityManagerEvent extends Event
{
    const CREATE_EVENT = 'entity_manager_event.create';
    const UPDATE_EVENT = 'entity_manager_event.update';
    const DELETE_EVENT = 'entity_manager_event.delete';
    const PRE_CREATE_EVENT = 'entity_manager_event.pre_create';
    const PRE_UPDATE_EVENT = 'entity_manager_event.pre_update';
    const PRE_DELETE_EVENT = 'entity_manager_event.pre_delete';

    protected $entity;

    public function __construct($entity)
    {
        $this->entity = $entity;
    }

    public function getEntity()
    {
        return $this->entity;
    }
}
