<?php

namespace Lc\CaracoleBundle\Event\Order;

use Lc\CaracoleBundle\Model\Order\OrderShopInterface;
use Lc\CaracoleBundle\Model\Order\OrderStatusInterface;
use Symfony\Contracts\EventDispatcher\Event;

class CartChangeEvent extends Event
{
    const PRE_UPDATE = 'cart_event.pre_update';
    const POST_UPDATE = 'cart_event.post_update';

    protected OrderShopInterface $orderShop;

    public function __construct(OrderShopInterface $orderShop)
    {
        $this->orderShop = $orderShop;
    }

    public function getOrderShop()
    {
        return $this->orderShop;
    }
}
