<?php

namespace Lc\CaracoleBundle\Factory\Product;

use App\Entity\Product\ProductCategory;
use Lc\CaracoleBundle\Context\MerchantContextTrait;
use Lc\CaracoleBundle\Context\SectionContextTrait;
use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;
use Lc\CaracoleBundle\Model\Product\ProductCategoryInterface;
use Lc\CaracoleBundle\Model\Section\SectionInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class ProductCategoryFactory extends AbstractFactory
{
    public function create(SectionInterface $section): ProductCategoryInterface
    {
        $productCategory = new ProductCategory();

        $productCategory->setSection($section);
        $productCategory->setSaleStatus(true);
        $productCategory->setStatus(1);

        return $productCategory;
    }
}
