<?php

namespace Lc\CaracoleBundle\Factory\Product;

use App\Entity\Product\ProductCategory;
use App\Entity\Product\ProductFamilySectionProperty;
use Lc\CaracoleBundle\Context\MerchantContextTrait;
use Lc\CaracoleBundle\Context\SectionContextTrait;
use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;
use Lc\CaracoleBundle\Model\Product\ProductCategoryInterface;
use Lc\CaracoleBundle\Model\Product\ProductFamilyInterface;
use Lc\CaracoleBundle\Model\Section\SectionInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class ProductFamilySectionPropertyFactory extends AbstractFactory
{

    public function create(SectionInterface $section, ProductFamilyInterface $productFamily): ProductFamilySectionProperty
    {
        $productFamilySectionProperty = new ProductFamilySectionProperty();

        $productFamilySectionProperty->setSection($section);
        $productFamilySectionProperty->setProductFamily($productFamily);

        $productFamilySectionProperty->setStatus(0);

        return $productFamilySectionProperty;
    }

}
