<?php

namespace Lc\CaracoleBundle\Factory\Reduction;

use App\Entity\Reduction\ReductionCart;
use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;
use Lc\CaracoleBundle\Model\Reduction\ReductionCartInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class ReductionCartFactory extends AbstractFactory
{

    public function create(MerchantInterface $merchant): ReductionCartInterface
    {
        $reductionCart = new ReductionCart();

        $reductionCart->setMerchant($merchant);
        $reductionCart->setStatus(1);

        return $reductionCart;
    }

}
