<?php

namespace Lc\CaracoleBundle\Factory\Reduction;

use App\Entity\Reduction\ReductionCatalog;
use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;
use Lc\CaracoleBundle\Model\Reduction\ReductionCatalogInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class ReductionCatalogFactory extends AbstractFactory
{

    public function create(MerchantInterface $merchant): ReductionCatalogInterface
    {
        $reductionCatalog = new ReductionCatalog();

        $reductionCatalog->setMerchant($merchant);
        $reductionCatalog->setStatus(1);

        return $reductionCatalog;
    }

}
