<?php

namespace Lc\CaracoleBundle\Field\Address;

use EasyCorp\Bundle\EasyAdminBundle\Contracts\Field\FieldInterface;
use EasyCorp\Bundle\EasyAdminBundle\Field\FieldTrait;
use Lc\CaracoleBundle\Form\Address\AddressType;

/**
 * @author La clic ! <contact@laclic.fr>
 */
final class AddressField implements FieldInterface
{
        use FieldTrait;

        public static function new(string $propertyName, ?string $label = null): self
        {
                return (new self())
                        ->hideOnIndex()
                        ->setProperty($propertyName)
                        ->setLabel($label)
                        ->setFormType(AddressType::class);
        }

}
